Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.info
Class SdkInfo

    java.lang.Object
      com.google.appengine.tools.info.SdkInfo

    public class SdkInfo

extends java.lang.Object

Retrieves installation information for the App Engine SDK.

Field Summary
`static java.lang.String` | `SDK_ROOT_PROPERTY`

Constructor Summary
`SdkInfo()`

Method Summary
`static java.lang.String` | `getDefaultServer()`
`static Version` | `getLocalVersion()`
`static com.google.appengine.tools.info.OptionalLib` | `getOptionalToolsLib(java.lang.String name)`
`static java.util.Collection<com.google.appengine.tools.info.OptionalLib>` | `getOptionalToolsLibs()` Returns all optional tools libraries for the SDK.
`static com.google.appengine.tools.info.OptionalLib` | `getOptionalUserLib(java.lang.String name)`
`static java.util.Collection<com.google.appengine.tools.info.OptionalLib>` | `getOptionalUserLibs()` Returns all optional user libraries for the SDK.
`static java.io.File` | `getSdkRoot()` Returns the path to the root of the SDK.
`static java.util.List<java.io.File>` | `getSharedLibFiles()` Returns the paths of all shared libraries for the SDK.
`static java.util.List<java.net.URL>` | `getSharedLibs()` Returns the full paths of all shared libraries for the SDK.
`static java.util.List<java.io.File>` | `getUserLibFiles()` Deprecated. Use `getOptionalUserLibs()` instead.
`static java.util.List<java.net.URL>` | `getUserLibs()` Deprecated. Use `getOptionalUserLibs()` instead.
`static void` | `includeTestingJarOnSharedPath(boolean val)` If `true`, the testing jar will be added to the shared libs.
`static void` | `setSdkRoot(java.io.File root)` Explicitly specifies the path to the root of the SDK.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SDK_ROOT_PROPERTY

    public static final java.lang.String SDK_ROOT_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### SdkInfo

    public SdkInfo()

Method Detail

### getSharedLibs

    public static java.util.List<java.net.URL> getSharedLibs()

  Returns the full paths of all shared libraries for the SDK. Users should compile against these libraries, but not bundle them with their web application. These libraries are already included as part of the App Engine runtime.

### getSharedLibFiles

    public static java.util.List<java.io.File> getSharedLibFiles()

  Returns the paths of all shared libraries for the SDK.

### getUserLibs

    @Deprecated
    public static java.util.List<java.net.URL> getUserLibs()

  Deprecated. Use `getOptionalUserLibs()` instead.

### getUserLibFiles

    @Deprecated
    public static java.util.List<java.io.File> getUserLibFiles()

  Deprecated. Use `getOptionalUserLibs()` instead.

### getOptionalUserLibs

    public static java.util.Collection<com.google.appengine.tools.info.OptionalLib> getOptionalUserLibs()

  Returns all optional user libraries for the SDK. Users who opt to use these libraries should both compile against and deploy them in the WEB-INF/lib folder of their web applications.

### getOptionalUserLib

    public static com.google.appengine.tools.info.OptionalLib getOptionalUserLib(java.lang.String name)

### getOptionalToolsLibs

    public static java.util.Collection<com.google.appengine.tools.info.OptionalLib> getOptionalToolsLibs()

  Returns all optional tools libraries for the SDK.

### getOptionalToolsLib

    public static com.google.appengine.tools.info.OptionalLib getOptionalToolsLib(java.lang.String name)

### getSdkRoot

    public static java.io.File getSdkRoot()

  Returns the path to the root of the SDK.

### setSdkRoot

    public static void setSdkRoot(java.io.File root)

  Explicitly specifies the path to the root of the SDK. This takes precendence over the `appengine.sdk.root` system property, but must be called before any other methods in this class.

  Throws:
    `java.lang.IllegalStateException` - If any other methods have already been called.

### getLocalVersion

    public static Version getLocalVersion()

### getDefaultServer

    public static java.lang.String getDefaultServer()

### includeTestingJarOnSharedPath

    public static void includeTestingJarOnSharedPath(boolean val)

  If `true`, the testing jar will be added to the shared libs. This is intended for use by frameworks that want to run tests inside the isolated classloader.

  Parameters:
    `val` - Whether or the testing jar should be included on the shared path.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD